Bug 103062 - rpc.mountd runs amok when trying to showmout or mount any exported FS
rpc.mountd runs amok when trying to showmout or mount any exported FS
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils (Show other bugs)
3.0
s390x Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks: 101028
  Show dependency treegraph
 
Reported: 2003-08-26 05:30 EDT by Phil Knirsch
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-29 03:23:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2003-08-26 05:30:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030709

Description of problem:
When trying to mount an exported filesystem from a s390x the rpc.mountd runs
amok. It doesn't mount the filesystem and rpc.mountd runs at 100% cpu time and
loops in svc_run.c:my_svc_run() line 71. Strace on the process continously shows
this:

select(1024, [3 4], NULL, NULL, NULL)   = 1 (in [4])

I suspect is has something to do with either the ACL or the cache patches for
nfs-utils.

nfs-utils-1.0.3-6 works fine btw.

I already looked at the diff between the 2 versions, but the changes are quite
big. I'll be looking into the problem today and hopefully come up witha fixed
version later today. Will attach my results here.

Read ya, Phil

Version-Release number of selected component (if applicable):
nfs-utils-1.0.5-2

How reproducible:
Always

Steps to Reproduce:
1. Export a filesystem
2. Start nfs service
3. Try to mount or showmount the filesystem
4. Watch rpc.mountd eat up a whole CPU. :-)
    

Actual Results:  rpc.mountd runs amok and filesystem doesn't get mounted.

Expected Results:  rpc.mountd shouldn't run amok and i should be able to mount
the fs. :-)

Additional info:
Comment 1 Steve Dickson 2003-08-26 08:51:49 EDT
Does ethereal or tcpdump show anything going over the wire?
Comment 2 Phil Knirsch 2003-08-26 09:01:50 EDT
Not sure, didn't check that. I tried mounting from the localhost, so i'd need to
tcpdump lo0 i guess. Might do that if i'm stuck.

I already narrowed it down to the new my_svc_run() function. If you use the
default svc_run() in mountd.c it works again, but i guess that then the new auth
methods aren't being used for ACL etc.

Read ya, Phil
Comment 3 Phil Knirsch 2003-08-27 11:02:17 EDT
OK, probably found the root of the problem. It's actually not a problem with
nfs-utils itself but with a function in glibc. I've fixed the same bug about 1
year ago and submitted the fix upstream, but obviously it got lost somewhere on
the way.

Will fix glibc tonight and send a patch to Jakub and Ulrich for review.

Read ya, Phil
Comment 4 Phil Knirsch 2003-08-29 03:23:55 EDT
OK, fixed glibc fixes the problem.

Patch will be included in one of the next glibc builds, it has been included
upstream now.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.